Package org.zkoss.stateless.ui.util

## Class StatelessEventListenerMap

- java.lang.Object
- - org.zkoss.stateless.ui.util.StatelessEventListenerMap

- All Implemented Interfaces:
    `java.io.Serializable`, `EventListenerMap`, `EventListenerMapCtrl`

      public class StatelessEventListenerMap
      extends java.lang.Object
      implements EventListenerMap, EventListenerMapCtrl, java.io.Serializable

  A wrapper of `EventListenerMap` in stateless.
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatelessEventListenerMap​(EventListenerMap delegator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAction​(java.lang.String eventName, ActionHandler actionHandler)` |
    `java.util.Set<java.lang.String>` | `getEventNames()` | Returns all event names of this map.
    `void` | `service​(Event event, Scope scope, Component component, java.lang.String s)` | Services the event under the given page and scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatelessEventListenerMap

          public StatelessEventListenerMap​(EventListenerMap delegator)

  - ### Method Detail

    - #### addAction

          public void addAction​(java.lang.String eventName,
                                ActionHandler actionHandler)

    - #### service

          public void service​(Event event,
                              Scope scope,
                              Component component,
                              java.lang.String s)
                       throws java.lang.Exception

      Description copied from interface: `EventListenerMap`
      Services the event under the given page and scope.
      Specified by:
        `service` in interface `EventListenerMap`
        `scope` - the scope used to evaluate ZSCRIPT if any
        `component` - the component used to serve the event.
        `s` - the real name of the event, used to retrieve event listener/handler
      Throws:
        `java.lang.Exception`

    - #### getEventNames

          public java.util.Set<java.lang.String> getEventNames()

      Description copied from interface: `EventListenerMapCtrl`
      Returns all event names of this map.
      Specified by:
        `getEventNames` in interface `EventListenerMapCtrl`
      Returns: